/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Integration Tests - ArchiveAclAsManagerIT.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.test.admin;

import static org.junit.jupiter.api.Assertions.assertDoesNotThrow;
import static org.junit.jupiter.api.Assertions.assertThrows;

import java.util.Map;

import org.junit.jupiter.api.Test;
import org.springframework.web.client.HttpClientErrorException;

import ch.dlcm.model.security.Role;
import ch.dlcm.model.settings.OrganizationalUnit;
import ch.dlcm.test.DLCMTestConstants;

class ArchiveAclAsManagerIT extends AbstractArchiveAclUserIT {

  @Override
  protected String role() {
    return Role.MANAGER_ID;
  }

  @Test
  void listTest() {
    OrganizationalUnit organizationalUnit = this.getPermanentOrganizationalUnitWithRole();
    assertDoesNotThrow(() -> this.archiveACLService.searchByProperties(Map.of("organizationalUnit.resId", organizationalUnit.getResId())));
  }

  @Test
  void listNoOneFailTest() {
    OrganizationalUnit organizationalUnit = this.getOrgUnitForNoOne(DLCMTestConstants.PersistenceMode.PERMANENT);
    assertThrows(HttpClientErrorException.Forbidden.class,
            () -> this.archiveACLService.searchByProperties(Map.of("organizationalUnit.resId", organizationalUnit.getResId())));
  }
}
