/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Integration Tests - AbstractInitDataIT.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.test.init;

import java.util.List;
import java.util.Map;

import ch.dlcm.model.PackageStatus;
import ch.dlcm.model.oais.ArchivalInfoPackage;
import ch.dlcm.test.AbstractIT;

public class AbstractInitDataIT extends AbstractIT {

  @Override
  protected void deleteFixtures() {

  }

  protected boolean isExactlyOneAipInStatus(String name, PackageStatus status) {
    List<ArchivalInfoPackage> aipList = this.aipService.searchByProperties(Map.of("info.name", name));
    if (aipList.size() != 1) {
      return false;
    }
    return status.equals(aipList.get(0).getInfo().getStatus());
  }

  protected boolean isNoAip(String name) {
    List<ArchivalInfoPackage> aipList = this.aipService.searchByProperties(Map.of("info.name", name));
    return aipList.size() == 0;
  }

  protected void resumeAIP(String name) {
    ArchivalInfoPackage aip = this.aipService.searchByProperties(Map.of("info.name", name)).get(0);
    this.aipService.resume(aip.getResId());
  }
}
