/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Model - DLCMMetadataVersionConverter.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.converter;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

import ch.unige.solidify.util.StringTool;

import ch.dlcm.DLCMMetadataVersion;

@Converter(autoApply = true)
public class DLCMMetadataVersionConverter implements AttributeConverter<DLCMMetadataVersion, String> {

  @Override
  public String convertToDatabaseColumn(DLCMMetadataVersion version) {
    return (version == null) ? DLCMMetadataVersion.getDefaultVersion().getVersion() : version.getVersion();
  }

  @Override
  public DLCMMetadataVersion convertToEntityAttribute(String version) {
    if (StringTool.isNullOrEmpty(version)) {
      return DLCMMetadataVersion.V1_0;
    }
    return DLCMMetadataVersion.fromVersion(version);
  }
}
