/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Model - AipFixityMessage.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.message;

import ch.dlcm.model.FixityCheckLevel;

public class AipFixityMessage extends DlcmMessage {

  private static final long serialVersionUID = -2L;

  private FixityCheckLevel checkLevel;

  private String createdBy;

  public AipFixityMessage(String resId) {
    super(resId);
  }

  public AipFixityMessage(String resId, FixityCheckLevel checkLevel) {
    super(resId);
    this.checkLevel = checkLevel;
  }

  public String getCreatedBy() {
    return this.createdBy;
  }

  public FixityCheckLevel getFixityCheckLevel() {
    return this.checkLevel;
  }

  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public void setFixityCheckLevel(FixityCheckLevel checkLevel) {
    this.checkLevel = checkLevel;
  }
}
