/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Model - OrganizationalUnitPreservationPolicyDTO.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.model.display;

import ch.unige.solidify.rest.JoinResourceContainer;
import ch.unige.solidify.rest.ResourceBase;
import ch.unige.solidify.util.ReflectionTool;

import ch.dlcm.model.policies.OrganizationalUnitPreservationPolicy;
import ch.dlcm.model.policies.PreservationPolicy;

public class OrganizationalUnitPreservationPolicyDTO extends PreservationPolicy
        implements JoinResourceContainer<OrganizationalUnitPreservationPolicy> {

  private OrganizationalUnitPreservationPolicy joinResource;

  public OrganizationalUnitPreservationPolicyDTO() {
  }

  public OrganizationalUnitPreservationPolicyDTO(OrganizationalUnitPreservationPolicy orgUnitPreservationPolicy) {
    ReflectionTool.copyFields(this, orgUnitPreservationPolicy.getPreservationPolicy(), ResourceBase.class);
    this.add(orgUnitPreservationPolicy.getPreservationPolicy().getLinks());
    this.joinResource = orgUnitPreservationPolicy;
  }

  @Override
  public OrganizationalUnitPreservationPolicy getJoinResource() {
    return this.joinResource;
  }
}
