/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Model - OrganizationalUnitPreservationPolicyDisplay.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.model.display;

import java.util.List;

import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import ch.dlcm.model.policies.OrganizationalUnitPreservationPolicy;
import ch.dlcm.model.policies.PreservationPolicy;
import ch.dlcm.rest.ResourceName;

public class OrganizationalUnitPreservationPolicyDisplay extends PreservationPolicy
        implements ExtendedResourceInterface<OrganizationalUnitPreservationPolicy> {

  @Transient
  OrganizationalUnitPreservationPolicy preservationPolicy;

  public OrganizationalUnitPreservationPolicyDisplay() {
  }

  public OrganizationalUnitPreservationPolicyDisplay(PreservationPolicy preservationPolicy) {
    this.mapResourceToExtendedResource(this, preservationPolicy);
  }

  @Override
  @JsonProperty(ResourceName.POLICY)
  public OrganizationalUnitPreservationPolicy getItem() {
    return this.preservationPolicy;
  }

  @Override
  @JsonIgnore
  public List<OrganizationalUnitPreservationPolicy> getItems() {
    return null;
  }

  @Override
  public void setItem(OrganizationalUnitPreservationPolicy item) {
    this.preservationPolicy = item;
  }

  @Override
  @JsonIgnore
  public void setItems(List<OrganizationalUnitPreservationPolicy> items) {
  }

}
