/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Solution - ModuleDoc.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.dlcm.test.resource;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.springframework.restdocs.payload.FieldDescriptor;

import ch.unige.solidify.test.helper.AbstractResourceDoc;
import ch.unige.solidify.test.helper.FieldDescriptorBuilder;
import ch.unige.solidify.test.model.TypeField;

import ch.dlcm.rest.UrlPath;

public class ModuleDoc extends AbstractResourceDoc {

  @Override
  public List<String> getListLinks() {
    return new ArrayList<>();
  }

  @Override
  public String getName() {
    return UrlPath.PRES_PLANNING_MODULE;
  }

  @Override
  public List<String> getResourceLinks() {
    return new ArrayList<>();
  }

  @Override
  protected List<FieldDescriptor> getDocumentationFields() {
    // @formatter:off
    return new ArrayList<>(Arrays.asList(
      new FieldDescriptorBuilder(this)
        .name("authorization")
        .description("The URL of _authoriration_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("admin")
        .description("The URL of _admin_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("preingest")
        .description("The URL of _pre-ingest_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("ingest")
        .description("The URL of _ingest_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("access")
        .description("The URL of _access_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("oaiInfo")
        .description("The URL of _OAI-PMH_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("dataManagement")
        .description("The URL of _data management_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("index")
        .description("The URL of _index_ module")
        .type(TypeField.STRING)
        .build(),
      new FieldDescriptorBuilder(this)
        .name("archivalStorage")
        .description("The URL list of _archival storage_ module")
        .type(TypeField.ARRAY)
        .build()));
    // @formatter:on
  }

  @Override
  public List<String> getCommonResourceFields() {
    return new ArrayList<>();
  }

  @Override
  public boolean isNormalResource() {
    return false;
  }
}
